Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225925 - infinipath-psm: FTBFS in Fedora rawhide/f39
Summary: infinipath-psm: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: infinipath-psm
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honggang Li
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 18:09 UTC by Fedora Release Engineering
Modified: 2024-02-29 01:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-02-29 01:43:36 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 18:09 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 18:09 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 18:09 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 18:09:19 UTC
infinipath-psm failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103610488


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix infinipath-psm at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
infinipath-psm will be orphaned. Before branching of Fedora 40,
infinipath-psm will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 18:09:25 UTC
Created attachment 1978207 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 18:09:29 UTC
Created attachment 1978208 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 18:09:32 UTC
Created attachment 1978209 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 07:57:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Honggang Li 2024-02-23 01:16:06 UTC
Hi, Michal

https://github.com/intel/psm

As intel abandoned infinipath-psm in upstream, I will retire infinipath-psm for Fedora.

As RHEL7 is the only one may care about infinipath-psm, just want to double check it with you.

Is it ok to retire infinipath-psm for fedora?

thanks

Comment 6 Honggang Li 2024-02-29 01:43:36 UTC
https://koji.fedoraproject.org/koji/buildinfo?buildID=2412320

Fixed the rpmbuild issue for F41/RAWHIDE. Close it.


Note You need to log in before you can comment on or make changes to this bug.